Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WebflowPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.WindowPresentationContext
                  com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
                      com.bea.netuix.servlets.controls.window.WebflowPresentationContext

All Implemented Interfaces
  Serializable

Deprecated Webflow is no longer part of the WebLogic Portal product.

    @Deprecated
    public class WebflowPresentationContext

extends PortletPresentationContext

Used to provide access to presentation-related attributes specific to the `WebflowPortlet` in use. Typically used during portal rendering via look and feel skeleton files (e.g. webflowportlet.jsp).

See Also
  `getWebflowPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`CLASS_NAME`

Method Summary
`String` | `getAltFooterUri()` Deprecated Returns the alternate footer URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getAltHeaderUri()` Deprecated Returns the alternate header URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getContentUri()` Deprecated Returns the content URI to the webflow contained within this `WebflowPortlet`.
`String` | `getCurrentContentUri()` Deprecated Returns the current content URI to the webflow contained within this `WebflowPortlet`.
`Exception` | `getException()` Deprecated If the webflow inside the `WebflowPortlet` threw an exception, it can be retrieved with this method.
`String` | `getFooterUri()` Deprecated Returns the footer URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getHeaderUri()` Deprecated Returns the header URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getLabel()` Deprecated Returns the instance label for the given `WebflowPortlet`.
`String` | `getWebflowName()` Deprecated Returns the name of the webflow.
`static WebflowPresentationContext` | `getWebflowPresentationContext(javax.servlet.http.HttpServletRequest request)` Deprecated This is a convenience method for returning a reference to the one and only `WebflowPresentationContext` for a given `WebflowPortlet`.

Methods inherited from class com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
`getAsyncContent, getInstanceLabel, getPagePresentationContext, getPortletPreferences, getPortletPresentationContext, getPortletUri, getPreferences, getSharedParameterValue, getSharedParameterValues, isAsyncContent, isCapable, isContentOnly, isDefaultMinimized, isPortletRenderedByClient, isRemote`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getCapability, getContentAttributeRenderer, getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getLocalInstanceId, getMetaData, getMetaDatas, getOrientation, getParentPagePresentationContext, getPreviousWindowMode, getThemePresentationContext, getTitle, getTitlebarPresentationContext, getWindowMode, getWindowPresentationContext, getWindowState, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLabel

    public String getLabel()

  Deprecated
  Returns the instance label for the given `WebflowPortlet`. This can be used to uniquely identify a `WebflowPortlet`.

  Overrides:
    `getLabel` in class `PortletPresentationContext`
  Returns
    the instance label of the `WebflowPortlet`

### getContentUri

    public String getContentUri()

  Deprecated
  Returns the content URI to the webflow contained within this `WebflowPortlet`.

  Returns
    the contentUri

### getCurrentContentUri

    public String getCurrentContentUri()

  Deprecated
  Returns the current content URI to the webflow contained within this `WebflowPortlet`.

  Returns
    the currentContentUri

### getHeaderUri

    public String getHeaderUri()

  Deprecated
  Returns the header URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns
    the headerUri, if any

### getFooterUri

    public String getFooterUri()

  Deprecated
  Returns the footer URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns
    the footerUri, if any

### getException

    public Exception getException()

  Deprecated
  If the webflow inside the `WebflowPortlet` threw an exception, it can be retrieved with this method.

  Returns
    a thrown webflow exception, if any

### getWebflowName

    public String getWebflowName()

  Deprecated
  Returns the name of the webflow.

  Returns
    name of the webflow, if any

### getAltHeaderUri

    public String getAltHeaderUri()

  Deprecated
  Returns the alternate header URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns
    the altHeaderUri, if any

### getAltFooterUri

    public String getAltFooterUri()

  Deprecated
  Returns the alternate footer URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns
    the altFooterUri, if any

### getWebflowPresentationContext

    public static WebflowPresentationContext getWebflowPresentationContext(javax.servlet.http.HttpServletRequest request)

  Deprecated
  This is a convenience method for returning a reference to the one and only `WebflowPresentationContext` for a given `WebflowPortlet`. Note this method will only work if called from within a portal (e.g. webflowportlet.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current WebflowPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.